backupApp.controller('SavedBackupController', 
    function ( $scope
        , $routeParams
        , $location
        , AppService
        , AppUtils)
    {
        $scope.BackupID = $routeParams.backupid;
        AppService.get('/backup/' + $routeParams.backupid).then(function (response) {

            $scope.rawddata = response.data.data;
            $scope.Backup = angular.copy($scope.rawddata.Backup);

        }, function () {
            AppUtils.connectionError.apply(AppUtils, arguments);
            $location.path('/');
        });
    }
);